import request from '@/utils/request'

// 查询安全设施-紧急泄放阀列表
export function listSafetyBleed(query) {
  return request({
    url: '/pssr/safetyBleed/list',
    method: 'get',
    params: query
  })
}

// 查询安全设施-紧急泄放阀详细
export function getSafetyBleed(id) {
  return request({
    url: '/pssr/safetyBleed/' + id,
    method: 'get'
  })
}

// 新增安全设施-紧急泄放阀
export function addSafetyBleed(data) {
  return request({
    url: '/pssr/safetyBleed',
    method: 'post',
    data: data
  })
}

// 修改安全设施-紧急泄放阀
export function updateSafetyBleed(data) {
  return request({
    url: '/pssr/safetyBleed',
    method: 'put',
    data: data
  })
}

//
export function updateSafetyBleedBatch(data) {
  return request({
    url: '/pssr/safetyBleed/editBatch',
    method: 'put',
    data: data
  })
}


// 删除安全设施-紧急泄放阀
export function delSafetyBleed(id) {
  return request({
    url: '/pssr/safetyBleed/' + id,
    method: 'delete'
  })
}

// 导出安全设施-紧急泄放阀
export function exportSafetyBleed(query) {
  return request({
    url: '/pssr/safetyBleed/export',
    method: 'get',
    params: query
  })
}
